# CreateAccountComponent | CICADA
Documentation for CICADA

### Hierarchy

- CreateAccountComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- accountTypes
- areaNames
- categories
- createForm
- genders
- matcher
- submitted

### Accessors

- createFormStub

### Methods

- ngOnInit
- onSubmit

## Constructors

### constructor

- new CreateAccountComponent(formBuilder: FormBuilder, locationService: LocationService, userService: UserService ): CreateAccountComponent

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:20

  #### Parameters

  - ##### formBuilder: FormBuilder

  - ##### locationService: LocationService

  - ##### userService: UserService

  #### Returns CreateAccountComponent

## Properties

### accountTypes

accountTypes: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:19

### areaNames

areaNames: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:18

### categories

categories: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:17

### createForm

createForm: FormGroup

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:14

### genders

genders: string[]

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:20

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:15

### submitted

submitted: boolean = false

- Defined in src/app/pages/accounts/create-account/create-account.component.ts:16

## Accessors

### createFormStub

- get createFormStub(): any

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:60

  #### Returns any

## Methods

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/accounts/create-account/create-account.component.ts:28

  #### Returns Promise<void>

### onSubmit

- onSubmit(): void

- - Defined in src/app/pages/accounts/create-account/create-account.component.ts:64

  #### Returns void

Generated using TypeDoc